%global npm_name on-finished

Summary:       Execute a callback when a request closes, finishes, or errors
Name:          nodejs-%{npm_name}
Version:       2.3.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jshttp/on-finished
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Execute a callback when a HTTP request closes, finishes, or errors.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc HISTORY.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 2.3.0-1
- Initial package
